tigase.server.xmppclient

## Class ClientTrustManagerFactory

- java.lang.Object
- - tigase.server.xmppclient.ClientTrustManagerFactory

-     public class ClientTrustManagerFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CA_CERT_PATH`
    `static String` | `CERT_REQUIRED_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTrustManagerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected X509Certificate[]` | `getAcceptedIssuers()`
    `TrustManager[]` | `getManager(VHostItem vHost)`
    `TrustManager[]` | `getManager(XMPPIOService<Object> serv)`
    `boolean` | `isActive()`
    `boolean` | `isTlsNeedClientAuthEnabled(VHostItem vhost)`
    `boolean` | `isTlsWantClientAuthEnabled(VHostItem vhost)`
    `protected TrustManager[]` | `loadTrustedCert(String caCertFile)`
    `void` | `setProperties(Map<String,Object> props)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CA_CERT_PATH

          public static final String CA_CERT_PATH

      See Also:
        Constant Field Values

    - #### CERT_REQUIRED_KEY

          public static final String CERT_REQUIRED_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientTrustManagerFactory

          public ClientTrustManagerFactory()

  - ### Method Detail

    - #### getAcceptedIssuers

          protected X509Certificate[] getAcceptedIssuers()

    - #### getManager

          public TrustManager[] getManager(VHostItem vHost)

    - #### getManager

          public TrustManager[] getManager(XMPPIOService<Object> serv)

    - #### isActive

          public boolean isActive()

    - #### isTlsNeedClientAuthEnabled

          public boolean isTlsNeedClientAuthEnabled(VHostItem vhost)

    - #### isTlsWantClientAuthEnabled

          public boolean isTlsWantClientAuthEnabled(VHostItem vhost)

    - #### loadTrustedCert

          protected TrustManager[] loadTrustedCert(String caCertFile)

    - #### setProperties

          public void setProperties(Map<String,Object> props)

Copyright © 2022 "Tigase, Inc.". All rights reserved.